HelloWorld Sample Application
=============================

This is a sample repository to demonstrate how to build an application bundle for Apertis.

Building from git
=================

$ ./autogen.sh --prefix=/Applications/org.apertis.HelloWorldApp
$ make
$ make install `pwd`/DESTDIR
$ sudo ribchester-bundle install org.apertis.HelloWorldApp 0.1.0 `pwd`/DESTDIR

Building flatpak package
========================

$ APERTIS_RELEASE=v2021
$ flatpak install org.apertis.mildenhall.Platform//${APERTIS_RELEASE} org.apertis.mildenhall.Sdk//${APERTIS_RELEASE}
$ mkdir -p `pwd`/repo
$ flatpak-builder --repo=repo --default-branch=${APERTIS_RELEASE} --force-clean build-dir flatpak-recipe.yaml

Licensing
=========

This sample application is licensed under the MPLv2; see COPYING for more details.

Bugs
====

Bug reports and (git formatted) patches should be submitted to the Phabricator
instance for Apertis:

http://phabricator.apertis.org/

Contact
=======

See AUTHORS.
